#ifndef AKTIONCONF
#define AKTIONCONF

#include <qslider.h>
#include <qchkbox.h>
#include <qradiobt.h>
#include <qlined.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qtooltip.h>
#include <qgrpbox.h>
#include <qbttngrp.h>
#include <qdialog.h>
#include <qcombo.h>
#include <qlistbox.h>
#include <ktabctl.h>
#include <kspinbox.h>
#include <kfiledialog.h>
#include <kapp.h>

class Setup : public QDialog
{
    Q_OBJECT
public:
    Setup( QWidget *parent=0, const char *name=0 );
    ~Setup();
private:
    QLineEdit *lined[4];
    QCheckBox *checkBox[9];
    QRadioButton *botonRadio[4];
    KConfig *config;
    KTabCtl *tab;
    QWidget *w[4];
    QLabel *label[6];
    QGroupBox *grupo[1];
    QButtonGroup *botones[1];
    QComboBox *combo[1];
    QListBox *lista[1];
//    QPushButton *registerButton;
    QPushButton *quitButton;
    QPushButton *okButton;
    QPushButton *dirButton;
    KNumericSpinBox *spin[1];
private slots:
    void quit();
    void save();
    void getDir();
};
#endif
